Update a product's building-material data
Creates or replaces the product's building-material attributes and returns the stored row. Requires `Permissions.Product.Update`.
BearerAuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
productId*integerint32application/json- body
Building-material attributes of a product, such as its material, finish and thermal properties.
basisWeight?|decimalcolorId?|int32consumption?|length <= 50density?|decimaledge?|length <= 50handle?|length <= 50id?|int32materialId?|int32onlyInStockOrOrder?|length <= 50paletteDimensionsId?|int32paletteTypeId?|int32productId?|int32sizeId?|int32strength?|decimalsumOfThermalConductivity?|decimalsurfaceFinishId?|int32thickness?|decimaltype?|length <= 50typeId?|int32application/json- response
Building-material attributes of a product, such as its material, finish and thermal properties.
basisWeight?|decimalcolorId?|int32consumption?|length <= 50density?|decimaledge?|length <= 50handle?|length <= 50id?|int32materialId?|int32onlyInStockOrOrder?|length <= 50paletteDimensionsId?|int32paletteTypeId?|int32productId?|int32sizeId?|int32strength?|decimalsumOfThermalConductivity?|decimalsurfaceFinishId?|int32thickness?|decimaltype?|length <= 50typeId?|int32curl -X PUT 'https://<your-instance>/api/products/0/building-material' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{ "basisWeight": 12.5, "colorId": 1, "consumption": "2.5 kg/m²", "density": 1850, "edge": "Rounded", "handle": "Ergonomic grip", "materialId": 2, "onlyInStockOrOrder": "Stock", "paletteDimensionsId": 7, "paletteTypeId": 5, "productId": 123, "sizeId": 6, "strength": 25, "sumOfThermalConductivity": 0.04, "surfaceFinishId": 3, "thickness": 10.5, "type": "Insulation panel", "typeId": 4}'{ "basisWeight": 0, "colorId": 0, "consumption": "string", "density": 0, "edge": "string", "handle": "string", "id": 0, "materialId": 0, "onlyInStockOrOrder": "string", "paletteDimensionsId": 0, "paletteTypeId": 0, "productId": 0, "sizeId": 0, "strength": 0, "sumOfThermalConductivity": 0, "surfaceFinishId": 0, "thickness": 0, "type": "string", "typeId": 0}Delete a product's building-material data DELETE
Removes the building-material attributes from the product and returns 204. Requires `Permissions.Product.Update`.
Check whether a product can be deleted GET
Advisory pre-flight for `DELETE {productId}`. `canBeDeleted` is false when `blockingReferences` lists the places that still point at the product (stock rows, documents, …). Requires `Permissions.Product.View`.